<?xml version="1.0" encoding="utf-8"?>
<Entity 
Schema="VCLib" 
Name="DTO_MODEL_VIEW" 
Description="Отображение модели DTO" 
PrimaryKey="DtoModelViewID">
  <Customs>
    <Custom Name="uniqueness" Value="(DtoModel;Context)" />
  </Customs>
  <Fields>
    <Attribute Name="DtoModelViewID" Type="guid" Description="Идентификатор" />
    <Attribute Name="Context" Type="string" Description="Наименование" />
    <Parent Name="DtoModel" Type="VCLib.DTO_MODEL" Description="Модель объекта передачи данных" Required="1" />
    <Child Name="DtoModelColumns" Type="VCLib.DTO_MODEL_COLUMN" Description="Отображаемое поле модели" ChildAttribute="DtoModelView" SortingAttr="ColOrder" />
    <Attribute Name="CurrentCacheKey" Type="guid" Description="Кэш - текущее состояние отображения" Required="1" />
    <Attribute Name="GridSettingsKey" Type="guid" Description="Идентификатор отображения списка для веба" Required="1" />
    <Attribute Name="EnforceCacheReset" Type="bool" Description="Флаг - принудительный сброс кэша" DefaultValue="1" Required="1" />
  </Fields>
  <DbMapping>
    <Table name="T_DTO_MODEL_VIEW">
      <Map Name="DtoModelViewID" Column="DtoModelViewID" />
      <Map Name="Context" Column="Context" />
      <Map Name="DtoModel" Column="DtoModel" />
      <Map Name="CurrentCacheKey" Column="CurrentCacheKey" />
      <Map Name="GridSettingsKey" Column="GridSettingsKey" />
      <Map Name="EnforceCacheReset" Column="EnforceCacheReset" />
    </Table>
  </DbMapping>
</Entity>